VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
Unit Class Reference
VST Implementation Helper Classes

Unit element. More...

`#include <vsteditcontroller.h>`

Inheritance diagram for Unit:

## Public Member Functions
| Unit (const String128 name, UnitID unitId, UnitID parentUnitId=kRootUnitId, ProgramListID programListId=kNoProgramListId)
| Unit (const UnitInfo &unit)
const UnitInfo & | getInfo () const
| Returns its info.
UnitID | getID () const
| Returns its Unit ID.
void | setID (UnitID newID)
| Sets a new Unit ID.
const TChar * | getName () const
| Returns its Unit Name.
void | setName (const String128 newName)
| Sets a new Unit Name.
ProgramListID | getProgramListID () const
| Returns its ProgramList ID.
void | setProgramListID (ProgramListID newID)
| Sets a new ProgramList ID.

## Public Attributes
OBJ_METHODS(Unit, FObject) protected UnitInfo | info

## Detailed Description

Unit element.

## Constructor & Destructor Documentation

Unit | ( | const String128 | name,
|  | UnitID | unitId,
|  | UnitID | parentUnitId = `kRootUnitId`,
|  | ProgramListID | programListId = `kNoProgramListId`
| ) |  |

Unit | ( | const UnitInfo & | unit | ) |

## Member Function Documentation

const UnitInfo& getInfo | ( |  | ) | const
| inline

Returns its info.

UnitID getID | ( |  | ) | const
| inline

Returns its Unit ID.

void setID | ( | UnitID | newID | ) |
| inline

Sets a new Unit ID.

const TChar* getName | ( |  | ) | const
| inline

Returns its Unit Name.

void setName | ( | const String128 | newName | ) |

Sets a new Unit Name.

ProgramListID getProgramListID | ( |  | ) | const
| inline

Returns its ProgramList ID.

void setProgramListID | ( | ProgramListID | newID | ) |
| inline

Sets a new ProgramList ID.

## Member Data Documentation

OBJ_METHODS (Unit, FObject) protected UnitInfo info

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.